name: "Diet Logging Confirmation Bug"
description: "测试确认记录时是否正确触发 log_diet 工具"

scenarios:
  - id: "confirmation_001"
    description: "用户提到午餐，bot 询问是否记录，用户确认"
    steps:
      - user: "今天中午吃了两个卤蛋和两勺蛋白粉"
        # 第一轮：bot 应该询问是否记录（不直接调用工具）
        expected_response_contains:
          - "记录"
        not_expected_tools:
          - "log_diet"
        description: "Bot should ask for confirmation, not directly log"

      - user: "好的，可以记录"
        # 第二轮：bug 修复后应该调用 log_diet
        expected_tools:
          - "log_diet"
        expected_response_contains:
          - "记录"
        description: "Bot should execute log_diet tool after confirmation"

  - id: "confirmation_002"
    description: "用户直接要求记录饮食"
    steps:
      - user: "帮我记录：今天早餐吃了一根香蕉和一杯牛奶"
        # 直接请求记录，应该立即调用工具
        expected_tools:
          - "log_diet"
        expected_response_contains:
          - "记录"
        description: "Bot should directly log when explicitly requested"
